php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12904 php_imap.c:454: `auth_md5' undeclared
Submitted: 2001-08-22 11:49 UTC Modified: 2001-10-02 19:07 UTC
From: kyrian at ore dot org Assigned:
Status: Closed Package: IMAP related
PHP Version: 4.0.6 OS: Red Hat Linux 6.0
Private report: No CVE-ID:
 [2001-08-22 11:49 UTC] kyrian at ore dot org
Hi,

Compiling with the following configure options:

./configure --with-mysql --with-gd --enable-force-cgi-redirect --with-config-file-path=/etc/php4/cgi/ --with-imap --enable-ftp --without-imap-ssl --without-kerberos --with-openssl

I get a failure which seems to relate to secure imap even though I've explicitly disabled this option:

make[3]: Entering directory `/usr/common/src/Php/php-4.0.6/ext/imap'
gcc  -I. -I/usr/common/src/Php/php-4.0.6/ext/imap -I/usr/common/src/Php/php-4.0.6/main -I/usr/common/src/Php/php-4.0.6 -I/usr/common/src/Php/php-4.0.6/Zend -I/usr/include/imap -I/usr/common/src/Php/php-4.0.6/ext/mysql/libmysql -I/usr/common/src/Php/php-4.0.6/ext/xml/expat/xmltok -I/usr/common/src/Php/php-4.0.6/ext/xml/expat/xmlparse -I/usr/common/src/Php/php-4.0.6/TSRM  -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_imap.c && touch php_imap.lo
php_imap.c: In function `php_minit_imap':
php_imap.c:454: `auth_md5' undeclared (first use this function)
php_imap.c:454: (Each undeclared identifier is reported only once
php_imap.c:454: for each function it appears in.)
make[3]: *** [php_imap.lo] Error 1
make[3]: Leaving directory `/usr/common/src/Php/php-4.0.6/ext/imap'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/common/src/Php/php-4.0.6/ext/imap'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/common/src/Php/php-4.0.6/ext'
make: *** [all-recursive] Error 1
root@fred:/usr/common/src/Php/php-4.0.6 >

In case of cross-module/file issues, I also tried a more bare-bones configure (after rm'ing config.cache and reconfiguring/compiling):

./configure --with-imap  --without-imap-ssl --without-kerberos --with-openssl

This yields the same error.

I'm using the options that are hinted at in bug ID 11877, which seems a similar bug, but to no avail.

I've also tried the latest CVS version yesterday, but that gets even less far through the build process.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-22 13:00 UTC] sniper@php.net
What is the version of c-client and how was it compiled?

--Jani

 [2001-10-02 19:07 UTC] sniper@php.net
No feedback and works for me with latest CVS.

 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Tue Aug 29 15:01:52 2017 UTC